### Enumeration

# Qmi PdsOperatingMode

since: 1.12

#### Declaration

    enum Qmi.PdsOperatingMode

#### Description [src]

GPS operating mode.

Available since: 1.12

#### Members

`QMI_PDS_OPERATING_MODE_STANDALONE`

  Standalone (GPS only).

  - Value: `0`
  - Available since: 1.12
`QMI_PDS_OPERATING_MODE_MS_BASED`

  Mobile Station Based (MSB) A-GPS.

  - Value: `1`
  - Available since: 1.12
`QMI_PDS_OPERATING_MODE_MS_ASSISTED`

  Mobile Station Assisted (MSA) A-GPS.

  - Value: `2`
  - Available since: 1.12

#### Type functions

###### qmi_pds_operating_mode_get_string

Gets the nickname string for the `QmiPdsOperatingMode` specified at `val`.

since: 1.12